# GetAccount

Retrieve a single account

`GET /api/v2/accounts/{id}`

**API:** AvaTax API
**Tag:** Accounts
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Accounts/GetAccount/

## Description

Get the account object identified by this URL.
You may use the '$include' parameter to fetch additional nested data:
            
* Subscriptions
* Users

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, FirmAdmin, FirmUser, Registrar, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser, TreasuryAdmin, TreasuryUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The ID of the account to retrieve |
| `$include` | string | query | No | A comma separated list of special fetch options |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `AccountModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `AccountModel`

An AvaTax account.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | **Yes** | The unique ID number assigned to this account. Example: `12345`. |
| `crmid` | string | No | For system registrar use only. |
| `name` | string | **Yes** | The name of this account. Example: `Test Account`. |
| `effectiveDate` | string | No | The earliest date on which this account may be used. Example: `2026-07-02T00:00:00+00:00`. |
| `endDate` | string | No | If this account has been closed, this is the last date the account was open. |
| `accountStatusId` | string | No | The current status of this account. Values: `Inactive`, `Active`, `Test`, `New`. Example: `Inactive`. |
| `accountTypeId` | string | No | The type of this account. Values: `Regular`, `Firm`, `FirmClient`. Example: `Regular`. |
| `createdDate` | string | No | The date when this record was created. |
| `createdUserId` | integer | No | The User ID of the user who created this record. |
| `modifiedDate` | string | No | The date/time when this record was last modified. |
| `modifiedUserId` | integer | No | The user ID of the user who last modified this record. |
| `subscriptions` | SubscriptionModel[] | No | Optional: A list of subscriptions granted to this account.  To fetch this list, add the query string "?$include=Subscriptions" to your URL. |
| `users` | UserModel[] | No | Optional: A list of all the users belonging to this account.  To fetch this list, add the query string "?$include=Users" to your URL. |
| `isSamlEnabled` | boolean | No | Is Saml based authentication used by this account for user to login via AI. Example: `false`. |
| `isDeleted` | boolean | No | A boolean flag to identify if the account is deleted |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/accounts/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```